Name:		gquilt
Version:	0.22
Release:	2%{?dist}
License:	GPLv2
Group:		Development/Tools
Summary:	PyGTK GUI wrapper for quilt
Source0:	http://sourceforge.net/projects/%{name}/files/%{name}/v-%{version}/%{name}-%{version}.tar.gz
URL:		http://gquilt.sourceforge.net/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	desktop-file-utils, pygtk2
Requires:	pygtk2 >= 2.6, quilt

%description
quilt is a tool for managing a series of patches by keeping track
of the changes each patch makes. Patches can be applied, un-applied,
refreshed, etc.

gquilt is a PyGTK GUI wrapper for quilt. 

%prep
%setup

%build
make PREFIX=%{_prefix} all gquilt

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} install

sed -i 's/Generic Name/GenericName/g' $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
chmod +x $RPM_BUILD_ROOT%{_datadir}/%{name}/%{name}.py

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons/
%{_datadir}/%{name}/qbsfe.sh
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.pyc
%{_datadir}/%{name}/*.pyo
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%doc ChangeLog COPYING

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog
* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.22-2
- recompiling .py files against Python 2.7 (rhbz#623312)

* Thu Nov 19 2009 Vivek Shah <boni.vivek at gmail.com> - 0.22-1
- Updated to new upstream release
- Replaced name macros
- Changed project upstream URL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.20-4
- Rebuild for Python 2.6

* Mon Jan 07 2008 Josh Boyer <jwboyer@gmail.com> 0.20-3
- BR pygtk2

* Fri Aug 03 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 0.20-2
- Update license field

* Mon Mar 05 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 0.20-1
- Update to latest release

* Wed Sep 06 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 0.17-3
- Fix bug 205384.  No longer ghost .pyo files

* Sun Aug 27 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 0.17-2
- Bump and rebuild for FE6

* Mon Feb 13 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 0.17-1
- Update to latest release

* Sat Jan 28 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 0.16-1
- Update to latest release
- Require pygtk2 >= 2.6

* Mon Dec 5 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.15-1
- Update to latest release

* Thu Sep 8 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.14-1
- Update to latest release

* Sun Aug 28 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 0.13-1
- Update to latest release
- Remove COPYING file (included upstream)
- Drop gquilt-build.patch (included upstream)
- Drop gquilt-moduledir.patch (included upstream)

* Tue Aug 23 2005 Toshio Kuratomi <toshio@tiki-lounge.com> 0.12-3
- Include .pyo files on FC4 and earlier.
- Patch to compile python files so that they include the proper path to the
  installed files.
- Patch to install the gquilt hierarchy to %{_datadir} as everything's arch
  independent.
  
* Tue Aug 23 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.12-2
- noarch package doesn't need to disable debug package
- be consistent with macros
- don't check for the existence of the BuildRoot before deleting it
- use dist tag
- don't own the applications/ and pixmaps/ directories, just their files
- don't need to make install directories, make install does it for us
- install the .desktop file, add BR: d-f-u
- don't use the package name in the Summary
- include GPL license text as Source1
- fix .desktop file Generic Name to GenericName

*Sat Aug 13 2005 - jwboyer@jdub.homelinux.org 0.12-1
- Fedora-ize original spec file from Peter Williams
